IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Site pages

Additional pages on a site

The site page object

Attributes

iduuid

Unique identifier

site_iduuid
sites.id

Identifier of the site this page is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

custom_htmltext
descriptionMultiLanguageString

Localized description of the page

nodeSiteNode
slugMultiLanguageString

Slug of the page

status"draft" | "published"

Publication status of the page

titleMultiLanguageString

Localized title of the page

The site page object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:46:23.814Z",
  "updated_at": "2026-03-12T05:46:23.814Z",
  "custom_html": "",
  "description": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "node": {},
  "slug": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "status": "draft",
  "title": {
    "default": "Hello",
    "nl-NL": "Hallo"
  }
}

List site pages

Filters

idFilter<uuid>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this page is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

custom_htmlFilter<text>
descriptionFilter<MultiLanguageString>

Localized description of the page

nodeFilter<SiteNode>
slugFilter<MultiLanguageString>

Slug of the page

statusFilter<"draft" | "published">

Publication status of the page

titleFilter<MultiLanguageString>

Localized title of the page

Responses

200

A list of site pages with the selected columns

206

Partial Content

GET /site_pages
curl -X GET "https://api.bookingmood.com/v1/site_pages?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create site pages

Body

Partial<SitePage> | Array<Partial<SitePage>>

Responses

201

The newly created site pages with the selected columns

POST /site_pages
curl -X POST "https://api.bookingmood.com/v1/site_pages" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete site pages

Filters

idFilter<uuid>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this page is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

custom_htmlFilter<text>
descriptionFilter<MultiLanguageString>

Localized description of the page

nodeFilter<SiteNode>
slugFilter<MultiLanguageString>

Slug of the page

statusFilter<"draft" | "published">

Publication status of the page

titleFilter<MultiLanguageString>

Localized title of the page

Responses

204

The deleted site pages with the selected columns

DELETE /site_pages
curl -X DELETE "https://api.bookingmood.com/v1/site_pages" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update site pages

Filters

idFilter<uuid>

Unique identifier

site_idFilter<uuid>
sites.id

Identifier of the site this page is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

custom_htmlFilter<text>
descriptionFilter<MultiLanguageString>

Localized description of the page

nodeFilter<SiteNode>
slugFilter<MultiLanguageString>

Slug of the page

statusFilter<"draft" | "published">

Publication status of the page

titleFilter<MultiLanguageString>

Localized title of the page

Body

Partial<SitePage>

Responses

204

The updated site pages with the selected columns

PATCH /site_pages
curl -X PATCH "https://api.bookingmood.com/v1/site_pages" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'